stages:
    - test

newman_tests:
    stage: test
    image:
        name: dannydainton/htmlextra
        entrypoint: [""]
    script:
        - newman --version
        - newman run ./Restful_Booker_Collection.postman_collection.json -e ./Restful_Booker_Environment.postman_environment.json --reporters cli,htmlextra --reporter-htmlextra-export testReport.html
    artifacts:
        when: always
        paths:
            - testReport.html
